//
//  Calqulator.h
//  calq
//
//  Created by Berrie on 29-8-04.
//  Copyright 2004 Katoemba Software. All rights reserved.
//
// $Id: Calqulator.h 40 2005-06-13 17:44:19Z berrie $
//

#import <Cocoa/Cocoa.h>
#import "History.h"
#import "Expressions/Expression.h"
#import "Expressions/NumberExpression.h"


@interface Calqulator : NSObject {
	Expression*			expression;
	NSDictionary*		standardCalculations;
	NumberExpression*	memory;
	unichar				clearKey;
	unichar				storeMemoryKey;
	unichar				getMemoryKey;
	unichar				clearMemoryKey;
	BOOL				calculateImmediately;
	BOOL				justCalculated;
	History*			history;
}

- (void)clear;
- (void)addCharacter:(unichar)ch;
- (NSString*)string;
- (void)calculate;
- (void)setExpression:(Expression*)expr;
- (void)setMemory:(Expression*)expr;
- (BOOL)memoryFilled;
- (void)preferencesChanged:(NSNotification*)note;

@end
